XF 2.2 XF ok with PHP 8 on IIS on local PC?

FTL

Member
I've just bought XF and as I haven't figured out a host yet, I want to make a test install on my local Windows PC to try out and become familiar with. I've got IIS running with PHP 8.0.2 (8.0.3 is available for upgrade) installed and it passes the requirements check script. I've also got MySQL 8 installed, so that should be ok.

I would just like confirmation that this configuration will work fine with it in all respects, especially with addons, since from searching the forums, I see that there could be potential issues with this version of PHP. If it's not recommended, then I'll downgrade PHP to the latest 7.x version.
 
Solution
Yes - I use XAMPP with PHP 8.

Brogan

XenForo moderator
Staff member
Yes - I use XAMPP with PHP 8.

 
Solution

FTL

Member
btw, don't tell anyone, but I ran the installer, it asked me for the database details... and I realised I didn't have them anywhere. No password, nothing. Good thing this is a test rig, eh? ;) I'l have to reinstall MySQL now, bless.
 
Top